#
#	eqprof.cl
#
#	 update: 1994-08-16		by M.Hamabe
#	 update: 1995-07-07		by M.Hamabe
#	 update: 1996-07-22		by M.Hamabe
#	 update: 2002-01-28 by M.Hamabe (support CCD data)
#

procedure  eqprof (image)

file	image		{prompt='input image'}
#file	outfile		{'eqprof.prn',prompt='output (printer format)'}
char	source		{'c',prompt='data source (c: CCD, p: Photographic)'}
char	law		{'e',prompt='extrapolation law (e:exponential/d:deV-law)'}
char    device          {'xwin',prompt='plotting device (tek/xserv/xwin/inq)'}
bool    hardcopy        {no,prompt='make a hardcopy?'}
char    hdev            {'ps',prompt='hardcopy device (ps/lips)'}
char    hfile           {'eqprof.ps',prompt='hardcopy-file name'}

begin
	file	temp

	temp = mktemp ("eqprof.tmp")

	task $eqprof1=("$" // osfn("spiral$bin/") // "eqprof1.e $(*)" )
	task $eqprof2=("$" // osfn("spiral$bin/") // "eqprof2.e $(*)" )
	eqprof1 (image, temp, source, device, law)
#	eqprof2 (temp, outfile, hardcopy, hdev, hfile)
	eqprof2 (temp, hardcopy, hdev, hfile)

	del ("eqprof.tmp*", verify-, >& "dev$null")
end
