#
#       Update: 1999-08-19      M. Hamabe       (fix axial-ratio)
#       Update: 1999-09-05      M. Hamabe       (r1,r2
#
procedure  vprof (image, profile, x, y, radius)

file	image		{prompt='input image'}
file	profile		{prompt='output profile (.pr)'}
int	radius		{prompt='maximum radius (in pixel unit)'}
real	x		{prompt='x-coordinate of galaxy center'}
real	y		{prompt='y-coordinate of galaxy center'}

real	angn		{0,prompt='angle between top and north'}
bool	reverse		{no,prompt='image is reversed?'}
real	posang		{0,prompt='angle between top and the major axis'}
bool	meanpa		{no,prompt='use mean position angle for center?'}
int	m		{15,prompt='number of accurate SINC interpolation'}
int	bilinear	{1,prompt='number iteration in BILINEAR mode (>=1)'}
int	sinc     	{1,prompt='number iteration in SINC     mode (>=1)'}
bool	center		{yes,prompt='solve the center?'}
bool	fixangle	{no,prompt='fix the position angle?'}
bool    fixratio        {no,prompt='fix the axial ratio?'}
real    axratio         {1.0,prompt='axial ratio, if it is fixed.'}
int     r1              {0,prompt='starting omit radius (in pixel unit)'}
int     r2              {0,prompt='ending   omit radius (in pixel unit)'}
bool	interactive	{yes,prompt='interactive iteration?'}
bool	makelog		{no,prompt='make the log of iteration?'}

begin

	task $vprof1=("$" // osfn("spiral$bin/")//"vprof.e $(*) " )
	   vprof1 (image, profile, reverse, angn, x, y, posang, meanpa, radius, m, bilinear, sinc, center, fixangle, fixratio, axratio, r1, r2, interactive, makelog)

end
